package com.shinsoft.sto.service.main;

import com.baomidou.mybatisplus.extension.service.IService;
import com.shinsoft.sto.model.main.Ware;
import com.shinsoft.tools.model.common.ResultJSON;

import java.util.Map;

/**
 * <p>
 * 仓库 服务类
 * </p>
 *
 * @author system
 * @since 2024-10-15
 */
public interface WareService extends IService<Ware> {

    ResultJSON query(int page, int rows, Map<String, Object> map);

    ResultJSON queryByPK(String id);

    ResultJSON save(String userId, String json);

    ResultJSON remove(String userId, String id);

    ResultJSON removeBatch(String userId, String ids);
}

